From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/mmtf-python/
Date: Mon, 6 Sep 2021 08:53:15 +0000 (UTC) [thread overview]
Message-ID: <1630918355.f185929d2e82d44c01a8ef44bc42913fe71db5b9.arthurzam@gentoo> (raw)
commit: f185929d2e82d44c01a8ef44bc42913fe71db5b9
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 6 08:52:35 2021 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Mon Sep 6 08:52:35 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f185929d
dev-python/mmtf-python: enable py3.10, enable tests, EAPI=8
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-python/mmtf-python/mmtf-python-1.1.2-r1.ebuild | 19 +++++++++++++------
1 file changed, 13 insertions(+), 6 deletions(-)
diff --git a/dev-python/mmtf-python/mmtf-python-1.1.2-r1.ebuild b/dev-python/mmtf-python/mmtf-python-1.1.2-r1.ebuild
index 30c4a5814f6..fd6c4965d1c 100644
--- a/dev-python/mmtf-python/mmtf-python-1.1.2-r1.ebuild
+++ b/dev-python/mmtf-python/mmtf-python-1.1.2-r1.ebuild
@@ -1,9 +1,9 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
-PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1
DESCRIPTION="The python implementation of the MMTF API, decoder and encoder"
@@ -13,9 +13,16 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE=""
+IUSE="test"
+RESTRICT="!test? ( test )"
+RDEPEND="dev-python/msgpack[${PYTHON_USEDEP}]"
BDEPEND="
- dev-python/msgpack[${PYTHON_USEDEP}]"
-RDEPEND="
- ${BDEPEND}"
+ test? (
+ ${RDEPEND}
+ dev-python/numpy[${PYTHON_USEDEP}]
+ )"
+
+python_test() {
+ "${EPYTHON}" mmtf/tests/codec_tests.py -v || die "Tests failed with ${EPYTHON}"
+}
next reply other threads:[~2021-09-06 8:53 UTC|newest]
Thread overview: 9+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-09-06 8:53 Arthur Zamarin [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-10-27 18:02 [gentoo-commits] repo/gentoo:master commit in: dev-python/mmtf-python/ Michał Górny
2022-11-14 4:44 Michał Górny
2022-07-06 5:18 Arthur Zamarin
2022-07-06 5:18 Arthur Zamarin
2021-02-05 8:47 Michał Górny
2021-01-12 20:25 Pacho Ramos
2019-11-17 15:12 Alexey Shvetsov
2018-06-28 12:20 Alexey Shvetsov
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1630918355.f185929d2e82d44c01a8ef44bc42913fe71db5b9.arthurzam@gentoo \
--to=arthurzam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox